before_script:
  - export DEBIAN_FRONTEND=noninteractive
  - apt-get -qq update
  - apt-get -qq install -y make build-essential libssl-dev zlib1g-dev libbz2-dev libreadline-dev libsqlite3-dev wget curl llvm libncurses5-dev libncursesw5-dev xz-utils tk-dev libffi-dev liblzma-dev python-openssl git > /dev/null
  - export DEBIAN_FRONTEND=dialog
  - git clone https://github.com/pyenv/pyenv.git ~/.pyenv
  - export PYENV_ROOT="$HOME/.pyenv"
  - export PATH="$PYENV_ROOT/bin:$PATH"
  - eval "$(pyenv init -)"


test:python36:
  script:
    - pyenv install 3.6.9
    - pyenv shell 3.6.9
    - pip install --upgrade pip
    - pip install -r requirements.txt
    - python -m pytest test
    - python -m saqc --config ressources/data/config.csv --data ressources/data/data.csv


test:python37:
  script:
    - pyenv install 3.7.5
    - pyenv shell 3.7.5
    - pip install --upgrade pip
    - pip install -r requirements.txt
    - python -m pytest test
    - python -m saqc --config ressources/data/config.csv --data ressources/data/data.csv


# test:python38:
#   script:
#     - pyenv install 3.8.0
#     - pyenv shell 3.8.0
#     - pip install --upgrade pip
#     - pip install -r requirements.txt
#     - python -m pytest test
